@import model.forms.PlayerApplicationResponseForm
@(app: model.Tables.PlayerApplicationsRow, appOwner: model.Tables.UsersRow, battingType: model.Tables.BattingTypesRow, pitchingType: Option[model.Tables.PitchingTypesRow], pitchingBonus: Option[model.Tables.PitchingBonusesRow], form: Form[PlayerApplicationResponseForm])(implicit req: MessagesRequest[AnyContent], user: model.Tables.UsersRow)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

@import views.html.templates._

<!DOCTYPE html>

<html lang="en">
    <head>
    @_common_headers("Application")
    </head>
    <body>
        @_navbar()(req, Some(user))

        <div class="container">
            <h2>@appOwner.redditName's Application</h2>
            @if(user.isCommissioner && app.status == 0) {
                <br />
                <a href="https://reddit.com@{appOwner.redditName}" target="_blank">View on Reddit</a>
            }
            <hr />
            <h3>
                Status:
                @if(app.status == 0) {
                    <span>Pending</span>
                } else {
                    @if(app.status == 1) {
                        <span class="text-danger">Rejected</span>
                    } else {
                        <span class="text-success">Accepted</span>
                    }
                }
            </h3>
            @if(app.status == 1) {
                <div class="alert alert-danger">
                    Rejected at: @app.respondedAt.get.format("HH:mm, MMM dd, YYYY")
                    <hr />
                    Reason: @app.rejectMessage
                    <br />
                    <br />
                    <span class="small">
                        In most cases, you are eligible to reapply if you can correct the above rejection reasons.
                        If you would like to reapply, please edit your application and submit it again.
                    </span>
                </div>
            }
            Returning Player: @if(app.isReturningPlayer) {Yes} else {No}
            <br />
            Requested Name: @{s"${app.firstName.getOrElse("")} ${app.lastName}".trim}
            <br />
            @if(app.isWillingToJoinDiscord) {
                Willing to Join Discord: Yes
                <br />
                Discord Name: @app.discordName.getOrElse("Not Provided")
            } else {
                Willing to Join Discord: No
            }
            <br />
            Primary Position: @app.positionPrimary
            <br />
            @if(app.positionPrimary != "P") {
                Secondary Position: @app.positionSecondary
                <br />
            }
            Batting Type: @battingType.shortcode
            <br />
            @if(app.positionPrimary == "P") {
                Pitching Type: @pitchingType.get.shortcode
                <br />
                Pitching Bonus: @pitchingBonus.get.shortcode
                <br />
            }
            Hand: @{if (app.isRightHanded) "Right" else "Left"}
            @if(user.isCommissioner && app.status == 0) {
                <div class="my-4">
                @helper.form(action = routes.PlayerApplicationController.respondToApplication(app.id)) {
                    @if(form.hasGlobalErrors) {
                        @for(error <- form.globalErrors) {
                            @for(msg <- error.messages) {
                                <p class="text-danger">@msg</p>
                            }
                        }
                    }
                    @helper.input(form("rejectionMsg")) { (id, name, value, args) =>
                        <div class="form-group">
                            <label for="@id">Rejection Reason</label>
                            <textarea id="@id" name="@name" class="form-control">@value</textarea>
                        </div>
                    }
                    <button type="submit" name="approval" value="true" class="btn btn-success">Approve</button>
                    <button type="submit" name="approval" value="false" class="btn btn-danger">Reject</button>
                }
                </div>
            }
            @if(app.status == 1 && app.user == user.id) {
                <a href="@routes.PlayerApplicationController.showNewPlayerForm()" class="my-3 btn btn-warning">
                    Edit
                </a>
            }
        </div>
    </body>
</html>
